<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap slicewp-wrap slicewp-wrap-landing-pages">

	<form method="GET">

		<!-- Page Heading -->
		<h1 class="wp-heading-inline"><?php echo __( 'Landing Pages', 'slicewp' ); ?></h1>
		<hr class="wp-header-end" />

		<!-- Landing Pages List Table -->
		<?php 
			$table = new SliceWP_WP_List_Table_Landing_Pages();
			$table->views();
			$table->search_box( __( 'Search Landing Pages', 'slicewp' ), 'landing_page_search' );
			$table->display();
		?>

		<!-- Hidden fields needed for the search query -->
		<input type="hidden" name="page" value="slicewp-landing-pages">

	</form>

	<?php 

		/**
		 * Hook to add extra cards if needed
		 *
		 */
		do_action( 'slicewp_view_landing_pages_bottom' );

	?>

</div>