<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Include integration specific files
 *
 */
function slicewp_pcr_include_files_product_commission_rates_pms() {

	// Get legend dir path
	$dir_path = plugin_dir_path( __FILE__ );

    // Include hooks functions
	if ( slicewp_is_integration_active( 'pms' ) && slicewp_is_integration_plugin_active( 'pms' ) ) {

        if ( file_exists( $dir_path . 'functions-hooks-integration-paid-member-subscriptions.php' ) ) {
			include $dir_path . 'functions-hooks-integration-paid-member-subscriptions.php';
		}

	}

}
add_action( 'slicewp_include_files_late', 'slicewp_pcr_include_files_product_commission_rates_pms' );