<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Include integration specific files
 *
 */
function slicewp_include_files_recurring_commissions_tracking_mepr() {

	// Get dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include hooks functions
	if ( slicewp_is_integration_active( 'mepr' ) && slicewp_is_integration_plugin_active( 'mepr' ) ) {

		if ( file_exists( $dir_path . 'class-integration-memberpress.php' ) ) {
			include $dir_path . 'class-integration-memberpress.php';
		}
		
	}

}
add_action( 'slicewp_include_files_late', 'slicewp_include_files_recurring_commissions_tracking_mepr' );