<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Include integration specific files
 *
 */
function slicewp_include_files_recurring_commissions_tracking_upsell() {

	// Get dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include hooks functions
	if ( slicewp_is_integration_active( 'upsell' ) && slicewp_is_integration_plugin_active( 'upsell' ) ) {

		if ( file_exists( $dir_path . 'class-integration-upsell.php' ) ) {
			include $dir_path . 'class-integration-upsell.php';
		}
		
	}

}
add_action( 'slicewp_include_files_late', 'slicewp_include_files_recurring_commissions_tracking_upsell' );