<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate_id = slicewp_get_current_affiliate_id();

?>

<div class="slicewp-section-general-affiliate-link-custom-slug slicewp-card">

	<!-- Form Fields -->
	<div class="slicewp-card-inner">

		<div class="slicewp-field-wrapper" style="margin-bottom: 0;">

			<div class="slicewp-field-label-wrapper slicewp-field-description-placement-before">
				<label for="slicewp-affiliate-link-custom-slug"><?php echo __( 'Your Custom Slug Affiliate Link', 'slicewp' ); ?></label>
				<div class="slicewp-field-description"><p><?php echo __( 'This is your referral URL that uses your custom slug. Share it with your audience to earn commissions.', 'slicewp' ); ?></p></div>
			</div>

			<input id="slicewp-affiliate-link-custom-slug" name="custom_slug_affiliate_link" type="text" readonly value="<?php echo esc_url( slicewp_get_affiliate_url( $affiliate_id, '', 'custom_slug' ) ); ?>" />

			<button class="slicewp-button-primary slicewp-input-copy">
                <?php echo slicewp_get_svg( 'outline-duplicate' ); ?>
                <span class="slicewp-input-copy-label"><?php echo __( 'Copy', 'slicewp' ); ?></span>
                <span class="slicewp-input-copy-label-copied"><?php echo __( 'Copied!', 'slicewp' ); ?></span>
            </button>

		</div>
		
	</div>

</div>