<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Register the Leads admin submenu page
 *
 */
function slicewp_register_submenu_page_leads( $submenu_pages ) {

	if ( ! is_array( $submenu_pages ) ) {
		return $submenu_pages;
	}

	$submenu_pages['leads'] = array(
		'class_name' => 'SliceWP_Submenu_Page_Leads',
		'data' 		 => array(
			'page_title' => __( 'Leads', 'slicewp' ),
			'menu_title' => __( 'Leads', 'slicewp' ),
			'capability' => apply_filters( 'slicewp_submenu_page_capability_leads', 'manage_options' ),
			'menu_slug'  => 'slicewp-leads'
		)
	);

	return $submenu_pages;

}
add_filter( 'slicewp_register_submenu_page', 'slicewp_register_submenu_page_leads', 30 );