<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Includes the Forminator files
 *
 */
function slicewp_ldc_include_files_for() {

	// Get legend dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include hooks functions
	if ( slicewp_is_integration_active( 'for' ) && slicewp_is_integration_plugin_active( 'for' ) ) {

		if ( file_exists( $dir_path . 'functions-hooks-integration-forminator.php' ) )
			include $dir_path . 'functions-hooks-integration-forminator.php';
		
	}

}
add_action( 'slicewp_include_files_late', 'slicewp_ldc_include_files_for' );
