<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Include integration specific files
 *
 */
function slicewp_pcr_include_files_product_commission_rates_woo() {

	// Get legend dir path
	$dir_path = plugin_dir_path( __FILE__ );

    // Include hooks functions
	if ( slicewp_is_integration_active( 'woo' ) && slicewp_is_integration_plugin_active( 'woo' ) ) {

		if ( file_exists( $dir_path . 'functions-hooks-integration-woocommerce.php' ) ) {
			include $dir_path . 'functions-hooks-integration-woocommerce.php';
		}

	}

}
add_action( 'slicewp_include_files_late', 'slicewp_pcr_include_files_product_commission_rates_woo' );