<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Affiliates chart class.
 *
 */
class SliceWP_Chart_Affiliates extends SliceWP_Chart {

	/**
	 * Constructor.
	 *
	 */
	public function __construct( $args = array() ) {

		parent::__construct( $args );

		$this->id 	   = 'affiliates';
		$this->label   = __( 'Affiliate Registrations', 'slicewp' );
		$this->filters = array( 'time_unit_select', 'type_switch' );

		$this->generate_datasets();

	}


	/**
	 * Generates all datasets.
	 *
	 */
	protected function generate_datasets() {

		$this->datasets['default'] = array(
			'label' => __( 'Affiliate Registrations' ),
			'data'  => $this->generate_dataset_data( $this->raw_data ),
			'color' => '#00aadc'
		);

	}

}